Module org.hsqldb
Package org.hsqldb.lib

## Class LongKeyLongValueHashMap

- java.lang.Object
- - org.hsqldb.map.BaseHashMap
  - - org.hsqldb.lib.LongKeyLongValueHashMap

- All Implemented Interfaces:
    `Map<java.lang.Long,​java.lang.Long>`

      public class LongKeyLongValueHashMap
      extends org.hsqldb.map.BaseHashMap
      implements Map<java.lang.Long,​java.lang.Long>

  A Map of long primitives to long primitive.
  Since:
    1.7.2
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.hsqldb.lib.Map

      `Map.Entry<K,​V>`

  - ### Field Summary

    - ### Fields inherited from class org.hsqldb.map.BaseHashMap

      `ACCESS_MAX, emptyObjectArray`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongKeyLongValueHashMap()` |
    `LongKeyLongValueHashMap​(boolean minimize)` |
    `LongKeyLongValueHashMap​(int initialCapacity)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `containsKey​(long key)` |
    `boolean` | `containsKey​(java.lang.Object key)` |
    `boolean` | `containsValue​(long value)` |
    `boolean` | `containsValue​(java.lang.Object value)` |
    `Set<Map.Entry<java.lang.Long,​java.lang.Long>>` | `entrySet()` |
    `long` | `get​(long key)` |
    `long` | `get​(long key, long defaultValue)` |
    `boolean` | `get​(long key, long[] value)` |
    `java.lang.Long` | `get​(java.lang.Long key)` |
    `Set<java.lang.Long>` | `keySet()` |
    `long[]` | `keysToArray​(long[] array)` |
    `boolean` | `put​(long key, long value)` |
    `java.lang.Long` | `put​(java.lang.Long key, java.lang.Long value)` |
    `void` | `putAll​(LongKeyLongValueHashMap other)` |
    `boolean` | `remove​(long key)` |
    `java.lang.Long` | `remove​(java.lang.Object key)` |
    `Collection<java.lang.Long>` | `values()` |
    `long[]` | `valuesToArray​(long[] array)` |

    - ### Methods inherited from class org.hsqldb.map.BaseHashMap

      `clear, clone, isEmpty, size`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hsqldb.lib.Map

      `clear, isEmpty, size`

- - ### Constructor Detail

    - #### LongKeyLongValueHashMap

          public LongKeyLongValueHashMap()

    - #### LongKeyLongValueHashMap

          public LongKeyLongValueHashMap​(int initialCapacity)
                                  throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### LongKeyLongValueHashMap

          public LongKeyLongValueHashMap​(boolean minimize)

  - ### Method Detail

    - #### containsKey

          public boolean containsKey​(java.lang.Object key)

      Specified by:
        `containsKey` in interface `Map<java.lang.Long,​java.lang.Long>`

    - #### containsKey

          public boolean containsKey​(long key)

    - #### containsValue

          public boolean containsValue​(java.lang.Object value)

      Specified by:
        `containsValue` in interface `Map<java.lang.Long,​java.lang.Long>`

    - #### containsValue

          public boolean containsValue​(long value)

    - #### get

          public java.lang.Long get​(java.lang.Long key)

      Specified by:
        `get` in interface `Map<java.lang.Long,​java.lang.Long>`

    - #### get

          public long get​(long key)
                   throws java.util.NoSuchElementException

      Throws:
        `java.util.NoSuchElementException`

    - #### get

          public long get​(long key,
                          long defaultValue)

    - #### get

          public boolean get​(long key,
                             long[] value)

    - #### put

          public java.lang.Long put​(java.lang.Long key,
                                    java.lang.Long value)

      Specified by:
        `put` in interface `Map<java.lang.Long,​java.lang.Long>`

    - #### put

          public boolean put​(long key,
                             long value)

    - #### remove

          public java.lang.Long remove​(java.lang.Object key)

      Specified by:
        `remove` in interface `Map<java.lang.Long,​java.lang.Long>`

    - #### remove

          public boolean remove​(long key)

    - #### putAll

          public void putAll​(LongKeyLongValueHashMap other)

    - #### keysToArray

          public long[] keysToArray​(long[] array)

    - #### valuesToArray

          public long[] valuesToArray​(long[] array)

    - #### keySet

          public Set<java.lang.Long> keySet()

      Specified by:
        `keySet` in interface `Map<java.lang.Long,​java.lang.Long>`

    - #### values

          public Collection<java.lang.Long> values()

      Specified by:
        `values` in interface `Map<java.lang.Long,​java.lang.Long>`

    - #### entrySet

          public Set<Map.Entry<java.lang.Long,​java.lang.Long>> entrySet()

      Specified by:
        `entrySet` in interface `Map<java.lang.Long,​java.lang.Long>`